> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Entities List

> To query all the supported entities on CoinGecko with entity ID, name, symbol, and country

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

<Tip>
  Use this endpoint to get entity IDs for other Public Treasury endpoints.
</Tip>

<CacheInfo rate="5 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.entities.getList();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.entities.get_list()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /entities/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /entities/list:
    get:
      summary: Entities List
      description: >-
        To query all the supported entities on CoinGecko with entity ID, name,
        symbol, and country
      operationId: entities-list
      parameters:
        - name: entity_type
          in: query
          required: false
          description: Filter by entity type.
          schema:
            type: string
            enum:
              - company
              - government
        - name: per_page
          in: query
          required: false
          description: |-
            Total results per page. 
            Default value: 100 
            Valid values: 1...250
          schema:
            type: integer
        - name: page
          in: query
          required: false
          description: |-
            Page through results. 
            Default value: 1
          schema:
            type: integer
      responses:
        '200':
          description: List of entities with ID, name, symbol, and country
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntitiesList'
              example:
                - id: texas
                  symbol: ''
                  name: Texas
                  country: US
                - id: digipowerx
                  symbol: DGX.V
                  name: DigiPowerX
                  country: US
components:
  schemas:
    EntitiesList:
      type: array
      items:
        type: object
        required:
          - id
          - symbol
          - name
          - country
        properties:
          id:
            type: string
            description: Entity ID
          symbol:
            type: string
            description: Ticker symbol of public company
          name:
            type: string
            description: Entity name
          country:
            type: string
            description: Country code
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````